| Home | Libraries | People | FAQ | More

###### any_address::any_address (5 of 5 overloads)

Constructs an address containing a UNIX socket path.

###### Synopsis

    any_address(
        unix_path value);

###### Description

Results in an address with `this->type() == address_type::unix_path`, `this->unix_socket_path() == value.path()`.

###### Object lifetimes

`*this` and `value` will have independent lifetimes (regular value semantics).

###### Exception safety

No-throw guarantee.